Name:           perl-Text-Markdown
Version:        1.0.24
Release:        3%{?dist}
Summary:        A text-to-HTML filter

Group:          Development/Libraries
License:        BSD
URL:            http://search.cpan.org/dist/Text-Markdown/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Text-Markdown-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(List::MoreUtils)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format
is most similar to that of plain text email, and supports features
such as headers, *emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use
span-level HTML tags anywhere in a Markdown document, and you can use
block level HTML tags (like <div> and <table> as well).

For more information about Markdown's syntax, see:

    http://daringfireball.net/projects/markdown/

%prep
%setup -q -n Text-Markdown-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes License.text README Readme.text Todo
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.24-1
- Update to 1.0.24, for a full list of changes see:
-   http://cpansearch.perl.org/src/BOBTFISH/Text-Markdown-1.0.24/Changes
- Package some docs.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-4
Rebuild for new perl

* Tue Jul  3 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.3-3
- Fix license field.

* Sat Jun 30 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.3-2
- BR some modules for tests

* Fri Jun  1 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.3-1
- First version for Fedora

